
CoCoALib - Feature #1251

New function: radical for monomial ideal

04 Mar 2019 16:14 - Anna Maria Bigatti

Status: Closed Start date: 04 Mar 2019

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: New Function Estimated time: 6.00 hours

Target version: CoCoALib-0.99650 November 2019 Spent time: 5.50 hours

Description

As for zero-dimensional ideals, implement it so we can pass it to CoCoA-5.

Related issues:

Related to CoCoA-5 - Support #1240: John's visit Feb 2019 Closed 08 Feb 2019

Related to CoCoALib - Design #1336: Rename SparsePolyOps-MonomialIdeal into S... Closed 14 Oct 2019

History

#1 - 04 Mar 2019 16:14 - Anna Maria Bigatti

- Related to Support #1240: John's visit Feb 2019 added

#2 - 20 Mar 2019 11:11 - John Abbott

- Status changed from New to In Progress

#3 - 01 Oct 2019 11:39 - John Abbott

- Target version changed from CoCoALib-0.99650 November 2019 to CoCoALib-0.99700

#4 - 02 Oct 2019 12:49 - Anna Maria Bigatti

Now the official function in CoCoALib is radical_tmp (will be radical when all code is written in CoCoALib)

When this case is written, uncomment the appropriate "monomial" line in SparsePolyOps-ideal.C.

Then do the same in SparsePolyOps-hilbert.C for DimQuot.

#5 - 03 Oct 2019 15:24 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- % Done changed from 20 to 90

done.

ideal SparsePolyRingBase::IdealImpl::myRadical_MonId() const

in SparsePolyOps-MonomialIdeal.C

does NOT modify this, and returns its radical.

There are tests in CoCoA-5 radical test (being a base case in recursion)

#6 - 03 Oct 2019 15:24 - Anna Maria Bigatti

- Estimated time set to 6.00 h
#7 - 10 Oct 2019 18:51 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99700 to CoCoALib-0.99650 November 2019

#8 - 15 Oct 2019 15:25 - Anna Maria Bigatti

- Related to Design #1336: Rename SparsePolyOps-MonomialIdeal into SparsePolyOps-IdealMonomial? added

#9 - 15 Oct 2019 15:29 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
